<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name = "description" content = "No se que mierdas estoy haciendo, pero visto asi, ya es una constante en mi vida.">
    <meta name = "author" content = "Didac"> 
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicios de clase</title>
    <link rel="icon" type="image/ico" href="img/favicon.ico">

</head>
<!--<a target="_blank" href="E">a</a>-->
<body>
    <header>
        <h1>Hello World</h1>
        <p>Vamos a aprender muchas cosas</p>
        <section id="Index"></section>
        <nav>
            <ul>
                <li><a target="_blank" href="https://docs.google.com/presentation/d/1495yaSXqn0ZSRutqhf-Epm91W2Xft1PXPHk4We8yFls/edit#slide=id.p">Apuntes XML</a></li>
                <li><a target="_blank" href="https://docs.google.com/presentation/d/1DqjS3sNaQV6YoETM1dTfYwOmnJrsnETe4AFJO1UC51s/edit#slide=id.gf1d9e8ae62_0_861">Apuntes DTD</a></li>
                <li><a target="_blank" href="https://docs.google.com/presentation/d/1xm73Uzpta5ZZZzGYuJQo9V5oC8Ynb-159tPtYKD-PxM/edit#slide=id.g4c60dbfbc2_0_12">Apuntes HTML</a></li>
            </ul>
        </nav>
    </header>
    <section id="XML">
       
        <h3>XML Teoria</h3>
        <a href="#Index">Index</a>
        <h4>Elements</h4>
        <p>Elements simples<br> El elemnets simples contene informacio i se escriuen aixi &lt;nom&gt;valor&lt;/nom&gt; "
        <br> Elements vuits <br> Els elements vuits no tenen cap valor i se escriuen igual que els elments simples, o tambe es poden escriure "&lt;nom/&gt;" <br>
        Elements contingut <br> Els elements poden tindre fills, informacio o les dues al mateix temps.</p>
       
        <h5>Regles per les etiquetas</h5>
        <p>Podem utilitzar totes les lletres angleses, diferencien minúscules de les majúscules, signes com". _ -" i números. <br>
        Només es pot començar amb "_" o lletres.</p>
        
        <h4>Comentaris</h4>
        <p>Els comentaris no els llegeix l'ordinador, s'escriuen així "&lt;!--,--&gt;</p>
        
        <h4>Relacions</h4>
        <p>Un element fill pot tindre elements fills</p>
        <figure>
            <img 
            src="img/Captura_de_pantalla_de_2022-10-04_09-12-48.png"
            alt="
            &lt;comanda>
                &lt;dades>
                    &lt;numero>13&lt;/numero>
                    &lt;data>2011-09-28&lt;/data>
                    &lt;cliente>
                        &lt;nom>Manuel Rovira&lt;/nom>
                        &lt;poblacio>Girona&lt;/poblacio>
                    &lt;/cliente>
                &lt;/dades>
                &lt;articles>
                    &lt;article>
                        &lt;codi>687&lt;/codi>
                        &lt;descripcio>Ratolí&lt;/descripcio>
                    &lt;/article>
                    &lt;article>
                        &lt;codi>129851&lt;/codi>
                        &lt;descripcio>Pendrive 4GB&lt;/descripcio>
                    &lt;/article>
                &lt;/articles>
            &lt;/comanda>
            ">
        </figure>

        <h4>Estructura</h4>
        <p>Tots els XML tenen un element arrel i només pot haver un, després cada element pot tindre els fills que vulguis.</p>

        <h4>Atrivuts</h4>
        <p>Els atrivuts srveixen per donar informasio extra i se escriuen així "&lt;nomElement nomValor="Valor">".
        <br>Els valors tenen les mateixes normes que les etiquetes</p>
        <h5>Atrivuts especials</h5>
        <p>"xml:land"<br> Defineix l'idioma del contingut, és heretat pels seus fills.</p>

        <h4>Declaracio</h4>
        <p>Es opcional pero de estar ha de esta al inici del document. <br>&lt;?xml  version="versionNumber"    encoding="encodingDeclaration"   standalone="standaloneStatus"?&gt; 
        <br> Les versions poden ser 1.0 o 1.1. 
        <br> La codificació és els codis dels caràcters definits i poden ser (UTF-8, F-8, UTF-16, ISO-10646-UCS-2, ISO-10646-UCS-4, ISO-8859-1, etc.)   
        <br> Standalone significa si té independència amb altres fitxes. Pot ser "yes" o "no".
        </p>

        <h4>Caracter reservats</h4>
        <table border="1">
            <caption>Caracter reservats</caption>
            <tr>
                <td>Caracter</td>
                <td>Entitat</td> 
                <td>Referencia</td>   
            </tr>
            <tr>
                <td>&amp;</td>
                <td>amp</td> 
                <td>&amp;amp;</td>   
            </tr>            
            <tr>
                <td>&apos;</td>
                <td>apos</td> 
                <td>&amp;apos;</td>   
            </tr>
            <tr>
                <td>&quot;</td>
                <td>quot</td> 
                <td>&amp;quot;</td>   
            </tr>
            <tr>
                <td>&gt;</td>
                <td>gt</td> 
                <td>&amp;gt;</td>   
            </tr>
            <tr>
                <td>&lt;</td>
                <td>lt</td> 
                <td>&amp;lt;</td>   
            </tr>
        </table>
        <p>
            Escrivin &lt;![CDATA[...]]&gt; Pots escriure directament els caracters
        </p>
        <a target="_blank" href="https://docs.google.com/document/d/1H2Jwh10P1kNRq_b8CILDQe6VJ0dgto1u7D727WbdW94/edit">Ejercicios XML</a>

    </section>
</body>
</html>